Skip to main content
POST
/
v2
/
admin
/
reporting
/
virtual-receptionist
/
logs
Admin VR Logs
curl --request POST \
  --url https://api.voxo.co/v2/admin/reporting/virtual-receptionist/logs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "vrId": 1,
  "startDate": "<string>",
  "endDate": "<string>"
}
'
{
  "records": "<array>",
  "total": 123,
  "page": 123,
  "maxPage": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
vrId
number
required

Virtual receptionist ID

Required range: x > 0
startDate
string
required

Start date for the report period

endDate
string
required

End date for the report period

tag
string[]

Filter by call tags

Minimum array length: 1
callOutcome
number[]

Filter by call outcome IDs

Minimum array length: 1
recordsPerPage
number

Number of records per page

page
number

Page number

reportType

Report type (Scheduled, Export, or Live)

Available options:
Scheduled

Response

VR logs or export acknowledgement

Paginated virtual receptionist logs

records
array
required

Virtual receptionist log records

total
number
required

Total matching records

page
number
required

Current page number

maxPage
number
required

Maximum page number